#!/bin/bash

. ../lib.sh

repo=`mktemp -d`
output=`mktemp`

prepare_input ../input $repo/input

git init $repo
git -C $repo config user.email "clime@redhat.com"
git -C $repo config user.name "clime"
git -C $repo remote add origin https://pagure.io/clime/test.git
git -C $repo add -A
git -C $repo commit -a -m 'inital_commit'
git -C $repo tag -a -m 'subject' -m '- message' foo-1.1-1
sleep 1 # older git 1.8.3.1 does sorting of refs on seconds level, newer git sorts with greater precision, TODO: post to git mailing list
git -C $repo tag -a -m 'subject' -m '- message' foo-1.2-1
sleep 1
git -C $repo tag -a -m 'subject' -m '- message that should be %very long because we need to test git changelog family of macros and changelong body wrapping.' foo-1.3-1
sleep 1
git -C $repo tag -a -m 'subject' -m '- message' foo-1.4-1
sleep 1
git -C $repo tag -a -m 'subject' -m '- message' foo-1.5-1

touch output && cp output $output
wtree_sub $repo $output
head_commit_sub $repo $output

generic_test opts='--dump-spec-only' path=$repo input=$repo/input expected_output=$output expected_log=log copy_only=$1

rm -rf $repo
rm $output
