import rpkglib

from . import base

class TestLookasideCache(base.TestCase):
    def test_get_download_url(self):
        lookaside ='http://localhost/repo/pkgs/%(ns1)s/%(name)s/%(filename)s/%(hashtype)s/%(hash)s/%(filename)s'
        cmd = rpkglib.Commands(self.tmpdir,
                               lookaside,
                               'hashtype',
                               'lookaside_cgi',
                               'giturl',
                               'anongiturl',
                               '.*',
                               '',
                               build_client=None,
                               outdir=self.tmpdir,
                               preprocess=True)
        url = cmd.lookasidecache.get_download_url('forks/user/ns1/pkg', 'bar.tar.gz', '123asdf', 'outfile', 'sha512')
        self.assertEqual(url, 'http://localhost/repo/pkgs/ns1/pkg/bar.tar.gz/sha512/123asdf/bar.tar.gz')

        lookaside ='http://localhost/repo/pkgs/%(ns2)s/%(ns1)s/%(name)s/%(filename)s/%(hashtype)s/%(hash)s/%(filename)s'
        cmd = rpkglib.Commands(self.tmpdir,
                               lookaside,
                               'hashtype',
                               'lookaside_cgi',
                               'giturl',
                               'anongiturl',
                               '.*',
                               '',
                               build_client=None,
                               outdir=self.tmpdir,
                               preprocess=True)
        url = cmd.lookasidecache.get_download_url('forks/user/ns1/pkg', 'bar.tar.gz', '123asdf', 'outfile', 'sha512')
        self.assertEqual(url, 'http://localhost/repo/pkgs/user/ns1/pkg/bar.tar.gz/sha512/123asdf/bar.tar.gz')
